Package com.sun.ts.lib.porting

# Interface TSURLInterface

All Known Implementing Classes:
  `SunRIURL`, `TSURL`

public interface TSURLInterface
An implementation of the TSURLInterface is to be used for Java EE TCK testing. TS tests use this interface to obtain the URL String to use to access a given web component. If a given Java EE Server implmentation requires that URLs be created in a different manner, then this implementation can be replaced.

Author:
  Kyle Grucci

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRequest(String request)`
  This method is called by TS tests to get the request to use to access a given web component.
  `URL`
  `getURL(String protocol, String host, int port, String file)`
  This method is called by TS tests to get the URL to use to access a given web component.
  `String`
  `getURLString(String protocol, String host, int port, String file)`
  This method is called by TS tests to get the URL to use to access a given web component.

- ## Method Details

  - ### getURL

    URL getURL(String protocol, String host, int port, String file) throws MalformedURLException
    This method is called by TS tests to get the URL to use to access a given web component.
    Parameters:
      `protocol` - - the name of the protocol.
      `host` - - the name of the host.
      `port` - - the port number.
      `file` - - the host file.
    Returns:
      a valid URL object.
    Throws:
      `MalformedURLException`

  - ### getURLString

    String getURLString(String protocol, String host, int port, String file)
    This method is called by TS tests to get the URL to use to access a given web component.
    Parameters:
      `protocol` - - the name of the protocol.
      `host` - - the name of the host.
      `port` - - the port number.
      `file` - - the host file.
    Returns:
      a valid URL as a String.

  - ### getRequest

    String getRequest(String request)
    This method is called by TS tests to get the request to use to access a given web component.
    Parameters:
      `request` - - the request file.
    Returns:
      a valid String object.